package kr.co.accura.wtm.domain.teal.repository;

import kr.co.accura.wtm.domain.teal.entity.TealEntry;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface TealEntryRepository extends JpaRepository<TealEntry, Long> {

    List<TealEntry> findByTealVersion_Id(Long tealVersionId);

    List<TealEntry> findByTealVersion_IdAndIsActiveTrue(Long tealVersionId);

    List<TealEntry> findByCanonicalWbs_Id(Long canonicalWbsId);
}
